Package de.gebit.integrity.operations.standard.operands

## Class ModuloNode

- java.lang.Object
- - de.gebit.integrity.operations.standard.operands.OperatorNode<BigInteger,​BigInteger>
  - - de.gebit.integrity.operations.standard.operands.ModuloNode

-     public class ModuloNode
      extends OperatorNode<BigInteger,​BigInteger>

  Modulo calculation.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModuloNode​(Operation anOperation, Object aLeftOperand, Object aRightOperand)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `evaluateInternal​(BigInteger aLeftOperand, BigInteger aRightOperand)` | Must be implemented by subclasses to implement the actual evaluation of this node.

    - ### Methods inherited from class de.gebit.integrity.operations.standard.operands.OperatorNode

      `evaluate, getEvaluatedLeftOperand, getEvaluatedRightOperand`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuloNode

          public ModuloNode​(Operation anOperation,
                            Object aLeftOperand,
                            Object aRightOperand)

      Creates a new instance.
      Parameters:
        `aLeftOperand` -
        `aRightOperand` -

  - ### Method Detail

    - #### evaluateInternal

          protected Object evaluateInternal​(BigInteger aLeftOperand,
                                            BigInteger aRightOperand)
                                     throws UnexecutableException

      Description copied from class: `OperatorNode`
      Must be implemented by subclasses to implement the actual evaluation of this node. It will get evaluated and converted operands and needs to return the result of the evaluation.
      Specified by:
        `evaluateInternal` in class `OperatorNode<BigInteger,​BigInteger>`
      Parameters:
        `aLeftOperand` - the evaluated left operand
        `aRightOperand` - the evaluated right operand
      Returns:
        the result of the evaluation
      Throws:
        `UnexecutableException`